{    var   : }
{ RLB, RUB, M }
Unit AEJ3R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, AER5R_p, AER4R_p, AER14R_p, AER1R_p, UTAE10_p;

procedure AEJ3R(N :Integer; var A :Array of Real;
                var V :Array of Real; var EV :Array of Real;
                var RLB :Real; var RUB :Real; MM :Integer;
                var M :Integer; var IRAB1 :Array of Integer;
                var RAB1 :Array of Real; var IERR :Integer);

implementation

procedure AEJ3R(N :Integer; var A :Array of Real;
                var V :Array of Real; var EV :Array of Real;
                var RLB :Real; var RUB :Real; MM :Integer;
                var M :Integer; var IRAB1 :Array of Integer;
                var RAB1 :Array of Real; var IERR :Integer);
var
N1,N2,N3,N4,N5,N6,N7 :Integer;
EPS1 :Real;
label
_1;
begin
N1 := N+1;
N2 := N*2+1;
N3 := N*3+1;
N4 := N*4+1;
N5 := N*5+1;
N6 := N*6+1;
N7 := N*7+1;
AER5R(N,N,A,RAB1,RAB1[N1-1],RAB1[N2-1],IERR);
if ( IERR <> 0 )
 then goto _1;
EPS1 := 0.0;
AER4R(N,EPS1,RAB1,RAB1[N1-1],RAB1[N2-1],RLB,RUB,MM,M,
     EV,IRAB1,IERR,RAB1[N3-1],RAB1[N4-1]);
if ( IERR <> 0 )
 then goto _1;
AER14R(N,N,RAB1,RAB1[N1-1],RAB1[N2-1],M,EV,IRAB1,V,
     IERR,RAB1[N3-1],RAB1[N4-1],RAB1[N5-1],RAB1[N6-1],RAB1[N7-1]);
if ( IERR <> 0 )
 then goto _1;
AER1R(N,N,A,RAB1[N1-1],M,V,IERR);
_1:
if ( IERR <> 0 )
 then UTAE10(IERR,N,21);
end;

end.
