Unit AER5R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure AER5R(NM :Integer; N :Integer; var T :Array of Real;
                var D :Array of Real; var E :Array of Real;
                var E2 :Array of Real; var IERR :Integer);

implementation

procedure AER5R(NM :Integer; N :Integer; var T :Array of Real;
                var D :Array of Real; var E :Array of Real;
                var E2 :Array of Real; var IERR :Integer);
var
I :Integer;
label
_1,_2,_3,_4,_5,_6;
begin
IERR := 0;
for I:=1 to N do
 begin
  if ( I = 1 ) 
   then goto _3;
  E2[I-1] := T[(I-1)+0*NM]*T[(I-2)+2*NM];
  if ( E2[I-1] ) < 0
   then goto _5
   else if ( E2[I-1] ) > 0
         then goto _2
         else goto _1;
_1:
  if ( T[(I-1)+0*NM] = 0.0 ) and ( T[(I-2)+2*NM] = 0.0 ) 
   then goto _2;
{  ********** }
  IERR := -(3*N+I);
_2:
  E[I-1] := Sqrt(E2[I-1]);
_3:
  D[I-1] := T[(I-1)+1*NM];
_4:
 end;
goto _6;
{  ********** }
_5:
IERR := N+I;
_6:
end;

end.
